CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

PrintSpoolExecutable Property (ActiveX)

2023-1-3 07:57| 发布者: admin| 查看: 911| 评论: 0|来自: AutoCAD

摘要: 指定用于后台打印的应用程序。

指定用于后台打印的应用程序。

支持的平台:仅窗口

签名

工 务 局:

object.PrintSpoolExecutable
对象

类型:首选项文件

此属性适用的对象。

属性值

只读:

类型:字符串

后台打印应用程序。

言论

此属性包含要与自动后台打印一起使用的打印后台打印可执行文件的驱动器、路径和应用程序名称。

例子

工 务 局:

Sub Example_PrintSpoolExecutable()
    ' This example returns the current setting of
    ' PrintSpoolExecutable. It then changes the value, and finally
    ' it resets the value back to the original setting.
    
    Dim preferences As AcadPreferences
    Dim currPrintSpoolExecutable As String
    Dim newPrintSpoolExecutable As String
    
    Set preferences = ThisDrawing.Application.Preferences
    
    ' Retrieve the current PrintSpoolExecutable value
    currPrintSpoolExecutable = preferences.Files.PrintSpoolExecutable
    MsgBox "The current value for PrintSpoolExecutable is " & currPrintSpoolExecutable, vbInformation, "PrintSpoolExecutable Example"
    
    ' Change the value for PrintSpoolExecutable
    newPrintSpoolExecutable = "TestPrintSpoolExecutable"
    preferences.Files.PrintSpoolExecutable = newPrintSpoolExecutable
    MsgBox "The new value for PrintSpoolExecutable is " & newPrintSpoolExecutable, vbInformation, "PrintSpoolExecutable Example"
    
    ' Reset PrintSpoolExecutable to its original value
    preferences.Files.PrintSpoolExecutable = currPrintSpoolExecutable
    MsgBox "The PrintSpoolExecutable value is reset to " & currPrintSpoolExecutable, vbInformation, "PrintSpoolExecutable Example"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_PrintSpoolExecutable()
    ;; This example returns the current setting of
    ;; PrintSpoolExecutable. It then changes the value, and finally
    ;; it resets the value back to the original setting.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Retrieve the current PrintSpoolExecutable value
    (setq currPrintSpoolExecutable (vla-get-PrintSpoolExecutable (vla-get-Files preferences)))
    (alert (strcat "The current value for PrintSpoolExecutable is " currPrintSpoolExecutable))
    
    ;; Change the value for PrintSpoolExecutable
    (setq newPrintSpoolExecutable "TestPrintSpoolExecutable")
    (vla-put-PrintSpoolExecutable (vla-get-Files preferences) newPrintSpoolExecutable)
    (alert (strcat "The new value for PrintSpoolExecutable is " newPrintSpoolExecutable))
    
    ;; Reset PrintSpoolExecutable to its original value
    (vla-put-PrintSpoolExecutable (vla-get-Files preferences) currPrintSpoolExecutable)
    (alert (strcat "The PrintSpoolExecutable value is reset to " currPrintSpoolExecutable))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 14:02

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部